'use strict';

import * as React from 'react';
import { Controls } from './controls';
import { Fractal } from './fractal';
import { sierpinski } from './ifs';

/**
 * Render the app sidebar and fractal display
 */
export class App extends React.Component {
    constructor(props) {
        super(props);

        this.state = {

        };
    }

    render() {
        return <div className="split">
            <Controls />
            <Fractal system={sierpinski} />
        </div>;
    }
}
